%define anolis_release 1

Name:           python-aiosignal
Version:        1.3.1
Release:        %{anolis_release}%{?dist}
Summary:        List of registered asynchronous callbacks

License:        Apache-2.0
URL:            https://github.com/aio-libs/aiosignal
Source0:        %{pypi_source aiosignal}

BuildArch:      noarch

BuildRequires:  python3-devel

BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)

%global common_description %{expand:
A project to manage callbacks in asyncio projects.}

%description %{common_description}


%package -n python3-aiosignal
Summary:        %{summary}

%description -n python3-aiosignal %{common_description}


%package        -n python3-aiosignal-doc
Summary:        Documentation for python-aiosignal
BuildArch:      noarch

%description    -n python3-aiosignal-doc %{common_description}


%prep
%autosetup -n aiosignal-%{version} -p1

# Drop intersphinx mappings, since we can’t download remote inventories and
# can’t easily produce working hyperlinks from inventories in local
# documentation packages.
echo 'intersphinx_mapping.clear()' >> docs/conf.py

# Patch out coverage options
sed -r -i 's/--cov[^[:blank:]]*//g' setup.cfg


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files aiosignal


%check
%pytest


%files -n python3-aiosignal -f %{pyproject_files}
%license LICENSE

%files -n python3-aiosignal-doc
%doc CHANGES.rst
%doc CONTRIBUTORS.txt
%doc README.rst

%changelog
* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 1.3.1-1
- Import package for anolis 23
